Skip to main content
GET
/
v1
/
machines
/
{machine_id}
/
ssh
Typescript
const client = new Dedalus();

const result = await client.machines.ssh.list({ ...params });
{ "items": [ { "created_at": "2023-11-07T05:31:56Z", "machine_id": "<string>", "session_id": "<string>", "status": "wake_in_progress", "connection": { "endpoint": "<string>", "port": 123, "ssh_username": "<string>", "host_trust": { "host_pattern": "<string>", "kind": "cert_authority", "public_key": "<string>" }, "user_certificate": "<string>" }, "error_code": "<string>", "error_message": "<string>", "expires_at": "2023-11-07T05:31:56Z", "ready_at": "2023-11-07T05:31:56Z", "retry_after_ms": 123 } ], "next_cursor": "<string>" }

Authorizations

x-api-key
string
header
required

Dedalus API key. Alternative to Bearer token.

Headers

X-Dedalus-Org-Id
string

Path Parameters

machine_id
string
required

Query Parameters

limit
integer<int64>
cursor
string

Response

OK

items
object[] | null
required
next_cursor
string
Last modified on April 9, 2026